{"openapi":"3.0.0","info":{"version":"1.0.1","title":"5G-EIR Notification Interface","description":"5G-EIR Proprietary interface for sending notifications towards HTTP notification server"},"servers":[{"url":"{scheme}://{serverAddress}:{serverPort}","description":"External notification server","variables":{"serverAddress":{"description":"Address of external notification server","default":"1.1.1.1"},"serverPort":{"description":"Port of external notification server","default":"1234"},"scheme":{"enum":["http","https"],"default":"https"}}}],"paths":{"/":{"post":{"summary":"Sends notification towards notification server","operationId":"PostNotification","requestBody":{"description":"Notification about response from EIR-EIC","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Notification"}}}},"responses":{"204":{"description":"Expected response for a valid notification"},"default":{"description":"Unexpected error"}}}},"/heartbeat":{"get":{"summary":"Retrieves the status of the notification server","operationId":"GetHeartbeatStatus","parameters":[{"name":"id","in":"query","description":"Unique ID of heartbeat request (timestamp in unix epoch format)","required":true,"schema":{"$ref":"#/components/schemas/HeartbeatId"}}],"responses":{"200":{"description":"Expected response for hearbeat request with server status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HearbeatResponse"}}}},"default":{"description":"Unexpected error - it means that notification server is unavailable"}}}}},"components":{"schemas":{"Notification":{"type":"object","required":["pei","response"],"properties":{"pei":{"$ref":"#/components/schemas/Pei"},"response":{"$ref":"#/components/schemas/Response"},"supi":{"$ref":"#/components/schemas/Supi"},"gpsi":{"$ref":"#/components/schemas/Gpsi"}}},"HearbeatResponse":{"type":"object","required":["id","status"],"properties":{"id":{"$ref":"#/components/schemas/HeartbeatId"},"status":{"$ref":"#/components/schemas/NotificationServerStatus"}}},"Pei":{"type":"object","required":["type","id"],"properties":{"type":{"$ref":"#/components/schemas/PeiType"},"id":{"$ref":"#/components/schemas/PeiId"}}},"Response":{"type":"string","enum":["W","G","B","U"]},"Supi":{"type":"object","required":["type","id"],"properties":{"type":{"$ref":"#/components/schemas/SupiType"},"id":{"$ref":"#/components/schemas/SupiId"}}},"Gpsi":{"type":"object","required":["type","id"],"properties":{"type":{"$ref":"#/components/schemas/GpsiType"},"id":{"$ref":"#/components/schemas/GpsiId"}}},"PeiType":{"type":"string","enum":["imei","imeisv"]},"PeiId":{"type":"string","pattern":"^([0-9]{15-16})$","description":"IMEI has 15 digits length, IMEISV has 16 digits (last two digits are SVN)"},"SupiType":{"type":"string","enum":["imsi"]},"SupiId":{"type":"string","pattern":"^([0-9]{5,15})$"},"GpsiType":{"type":"string","enum":["msisdn"]},"GpsiId":{"type":"string","pattern":"^([0-9]{5,15})$"},"HeartbeatId":{"description":"Unique ID of heartbeat request (timestamp in unix epoch format)","type":"string","pattern":"^([0-9]+)$"},"NotificationServerStatus":{"description":"Notification server status sent in heartbeat response","type":"string","enum":["up","down"]}}}}